<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: broadbandHandler.php,v 1.9 2001/01/29 22:20:36 pbaltz Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

$bootProtoMap = array("dhcp" => "dhcp", "pppoe" => "none", "static" => "none");

$eth1 = $cceClient->find("Network", array("device" => "eth1"));

// need to setup dhcp first because dhclient may rely on these settings
if ($networkField == "dhcp") {
	$cceClient->set(
			$eth1[0],
			"Dhclient", 
			array(
				"hostName" => $dhcpHostNameField, 
				"identifier" => $dhcpClientIdField
			)
		);
}
$errors = $cceClient->errors();

// setup static stuff before enabling the interface if in static mode
// probably not necessary, but just in case
if ($networkField == "static") {
	$cceClient->set(
		$eth1[0],
		"", 
		array(
			"ipaddr" => $ipAddressField,
			"netmask" => $netMaskField, 
			"bootproto" => $bootProtoMap[$networkField],
			"enabled" => 1
		)
	);
	$errors = array_merge($errors, $cceClient->errors());
	$cceClient->setObject("System", 
			      array("gateway" => $gatewayField));

} else if (count($errors) == 0) {
	// enable and set bootproto, need to do this before starting 
	// pppoe because it relies on the interface being up already
	// only blow away the gateway if the bootproto is changing, otherwise
	// saving as dhcp twice will leave the system with no gateway
	if ($networkField != $oldBootproto) $cceClient->setObject("System", array("gateway" => ""));
	$cceClient->set(
		$eth1[0],
		"",
		array(
			"bootproto" => $bootProtoMap[$networkField],
			"enabled" => 1
		)
	);
}
$errors = array_merge($errors, $cceClient->errors());

// setup pppoe last because it relies on the interface being enabled
if((count($errors) == 0) && ($networkField == "pppoe")) {
	$connModeMap = array(
				"dhcp" => "off", 
				"pppoe" => "on", 
				"static" => "off"
			);

	$cceClient->setObject(
			"System",
			array(
				"connMode" => $connModeMap[$networkField],
				"ethNumber" => 1, 
				"userName" => $pppUserNameField,
				"password" => $pppPasswordField
			), 
			"Pppoe"
		);
	$errors = array_merge($errors, $cceClient->errors());
}

print($serverScriptHelper->toHandlerHtml("", $errors));

$serverScriptHelper->destructor();
?>
