<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: lan.php,v 1.8 2000/09/26 10:38:50 pbaltz Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-wizard", "/base/wizard/lanHandler.php");
$i18n = $serverScriptHelper->getI18n("base-wizard");

// get settings
$systemObj = $cceClient->getObject("System");
$oids = $cceClient->find("Network", array("device" => "eth1"));
$oid = $oids[0];
$cceClient->set($oid, "", array(
	"refresh" => time()));
$eth1 = $cceClient->get($oid);

$page = $factory->getPage();
$form = $page->getForm();
$formId = $form->getId();

$block = $factory->getPagedBlock("lanSettings");

$block->addFormField(
  $factory->getIpAddress("gatewayField", $systemObj["gateway"]),
  $factory->getLabel("gatewayField")
);

// secondary interface
$block->addDivider($factory->getLabel("secondaryInterface", false));

$ipAddress2 = $factory->getIpAddress("ipAddressField2", 
					($eth1["enabled"] ? $eth1["ipaddr"] : ""));
$ipAddress2->setOptional(true);
$block->addFormField(
  $ipAddress2,
  $factory->getLabel("ipAddressField2")
);

$netMask2 = $factory->getIpAddress("netMaskField2", 
					($eth1["enabled"] ? $eth1["netmask"] : ""));
$netMask2->setOptional(true);
$block->addFormField(
  $netMask2,
  $factory->getLabel("netMaskField2")
);

$block->addFormField(
	$factory->getIpAddress("ipAddressOrig2",
				($eth1["enabled"] ? $eth1["netmask"] : ""), "")
	);
$block->addFormField(
	$factory->getIpAddress("netMaskOrig2",
				($eth1["enabled"] ? $eth1["netmask"] : ""), "")
        );

$block->addFormField(
  $factory->getMacAddress("macAddressField2", $eth1["mac"], "r"),
  $factory->getLabel("macAddressField")
);
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($i18n->getHtml("lanMessage")); ?>
<BR><BR>

<?php print($block->toHtml()); ?>

<SCRIPT LANGUAGE="javascript">
var oldFieldSubmitHandler = document.<?php print($formId)?>.netMaskField2.submitHandler;

function netMask2SubmitHandler() {
  if(oldFieldSubmitHandler != null) {
    var ret = oldFieldSubmitHandler(document.<?php print($formId)?>.netMaskField2);
    if(!ret)
      return ret;
  }

  var form = document.<?php print($formId)?>;

  if(form.ipAddressField2.value == "" && form.netMaskField2.value != "") {
    top.code.error_invalidElement(form.netMaskField2, "<?php print($i18n->getJs("ipAddressNetMaskMismatch")) ?>");
    return false;
  }
  if(form.ipAddressField2.value != "" && form.netMaskField2.value == "") {
    top.code.error_invalidElement(form.ipAddressField2, "<?php print($i18n->getJs("ipAddressNetMaskMismatch")) ?>");
    return false;
  }

  return true;
}

document.<?php print($formId)?>.netMaskField2.submitHandler = netMask2SubmitHandler;
</SCRIPT>

<?php print($page->toFooterHtml()); ?>
