<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: modem.php,v 1.3 2000/08/30 05:46:07 kevin Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-wizard", "/base/wizard/modemHandler.php");
$i18n = $serverScriptHelper->getI18n("base-wizard");

// get settings
$modemObj = $cceClient->getObject("System", array(), "Modem");

$page = $factory->getPage();

$block = $factory->getPagedBlock("modemSettings");

$block->addFormField(
  $factory->getMultiChoice("connModeField", array("demand", "on", "off"), array($modemObj["connMode"])),
  $factory->getLabel("connModeField")
);

$block->addFormField(
  $factory->getTextField("modemPhoneField", $modemObj["phone"]),
  $factory->getLabel("modemPhoneField")
);

$block->addFormField(
  $factory->getTextField("userNameField", $modemObj["userName"]),
  $factory->getLabel("userNameField")
);

$block->addFormField(
  $factory->getPassword("modemPasswordField"),
  $factory->getLabel("modemPasswordField")
);

$block->addFormField(
  $factory->getTextField("initStringField", $modemObj["initStr"]),
  $factory->getLabel("initStringField")
);

$localIp = $modemObj["localIp"];
if($localIp == "0.0.0.0")
  $localIp = "";
$ip = $factory->getIpAddress("localIpField", $localIp);
$ip->setOptional(true);
$block->addFormField(
  $ip,
  $factory->getLabel("localIpField")
);

$block->addFormField(
  $factory->getBoolean("pulseField", $modemObj["pulse"]),
  $factory->getLabel("pulseField")
);
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($i18n->getHtml("modemMessage")); ?>
<BR><BR>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>