<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: network.php,v 1.8 2001/03/14 09:24:04 pbaltz Exp $

include("ServerScriptHelper.php");
include("Product.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-wizard", "/base/wizard/networkHandler.php");
$i18n = $serverScriptHelper->getI18n("base-wizard");

$product = new Product($cceClient);

// get settings
$systemObj = $cceClient->getObject("System");
$networkObj = $cceClient->getObject("System", array(), "Network");

$page = $factory->getPage();
$form = $page->getForm();
$formId = $form->getId();

$block = $factory->getPagedBlock("networkSettings");

$block->addFormField(
  $factory->getDomainName("hostNameField", $systemObj["hostname"]),
  $factory->getLabel("hostNameField")
);

$block->addFormField(
  $factory->getDomainName("domainNameField", $systemObj["domainname"]),
  $factory->getLabel("domainNameField")
);

if (!$product->isRaq())
{
	$block->addFormField(
  		$factory->getMultiChoice("internetField", array("none", "broadband", "lan", "narrowband"), array($networkObj["internetMode"])),
  	$factory->getLabel("internetField")
	);
}

$dns = $factory->getIpAddressList("dnsAddressesField", $systemObj["dns"]);
$dns->setOptional(true);
$block->addFormField(
  $dns,
  $factory->getLabel("dnsAddressesField")
);
print($page->toHeaderHtml());

if (!$product->isRaq())
{
	print "
<SCRIPT LANGUAGE=\"javascript\">
function flow_getNextItemId() {
  var form = document.$formId;

  switch(form.internetField.options[form.internetField.selectedIndex].value) {
    case \"none\":
      return \"base_wizardRegistration\";

    case \"broadband\":
      return \"base_wizardBroadband\";

    case \"lan\":
      return \"base_wizardLan\";

    case \"narrowband\":
      return \"base_wizardModem\";
  }
}
</SCRIPT>
";
}
?>
<?php print($i18n->getHtml("networkMessage")); ?>
<BR><BR>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
