<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: networkHandler.php,v 1.7 2001/03/14 09:24:04 pbaltz Exp $

include("ServerScriptHelper.php");
include("Product.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$product = new Product($cceClient);

if ($product->isRaq())
	$eth0 = $cceClient->getObject("Network", array("device" => "eth0"));

$oid = $cceClient->find("System");

$cceClient->set($oid, "", array("hostname" => $hostNameField, "domainname" => $domainNameField, "dns" => $dnsAddressesField));
$errors = $cceClient->errors();

if (!$product->isRaq())
{
	// explicitly turn off everything to be consistent with the admin
	// site, just in case someone sets up their internet connection and 
	// changes their mind
	if ($internetField == "none") {
		$cceClient->set($oid, "Modem", array("connMode" => "off"));
		$cceClient->set($oid, "Pppoe", array("connMode" => "off"));
		$cceClient->set($oid, "", array("gateway" => ""));
		$cceClient->setObject("Network", array("enabled" => 0), "", 
					array("device" => "eth1"));
	}
}
else
{
	// product is a raq create a vsite
	$cceClient->create("Vsite", 
			array(
				"hostname" => $hostNameField, 
				"domain" => $domainNameField, 
				"fqdn" => ("$hostNameField.$domainNameField"), 
				"ipaddr" => $eth0["ipaddr"], 
				"quota" => 1000, 
				"maxusers" => 25));

	$errors = array_merge($errors, $cceClient->errors());
}
	
$cceClient->set($oid, "Network",
	array(
	"internetMode" => ($product->isRaq() ? "lan" : $internetField),
	# hack NAT here:
	"nat" => "2",
	"ipForwarding" => "2",
));
$errors = array_merge($errors, $cceClient->errors());

print($serverScriptHelper->toHandlerHtml("", $errors));

$serverScriptHelper->destructor();
?>
