<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: registrationHandler.php,v 1.11.6.1 2002/01/25 00:55:39 jcheng Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();

// if anything was being filled
if($fullNameField != "" || $titleField != "" || $companyField != "" || $addressField != "" || $emailField != "" || $phoneField != "") {
  $cceClient = $serverScriptHelper->getCceClient();

  // get System
  $system = $cceClient->getObject("System");
  
  // get Network information
  $networkInfo = "";
  $oids = $cceClient->find("Network");
  for($i = 0; $i < count($oids); $i++) {
    $cceClient->set($oids[$i], "", array("refresh" => time()));

    // get object
    $network = $cceClient->get($oids[$i]);

    $device = $network["device"];

    $networkInfo .= "IP Address ($device): " . $network["ipaddr"] . "\n";
    $networkInfo .= "Netmask ($device): " . $network["netmask"] . "\n";
    $networkInfo .= "MAC Address ($device): " . $network["mac"] . "\n";
  }

  // don't set isRegistered, so that if someone fills in junk data
  // they can register in System->Information still
  // $cceClient->setObject("System",array("isRegistered"=>"1"));

  $hostName = $system["hostname"];
  $domainName = $system["domainname"];
  $gateway = $system["gateway"];
  $productName = $system["productName"];
  $serialNumber = $system["serialNumber"];
  $prodSerialNumber = $system["productSerialNumber"];
  $build = $system["productBuildString"];

  $header = "From: $fullNameField <admin@" . trim(`/bin/hostname --fqdn`) . ">";
  $registrationAddress = "register@cobalt.com";
  $subject = "Registration ($productName)";
  $message = "
Full name: $fullNameField
Title: $titleField
Company: $companyField
Address: $addressField
Country: $countryField
Phone: $phoneField
Email: $emailField

Product: $productName
Serial: $prodSerialNumber
HW Serial: $serialNumber
Build: $build

Host Name: $hostName
Domain Name: $domainName
Gateway: $gateway
$networkInfo
";

  // send email
  // mail($registrationAddress, $subject, $message, $header);
  imap_mail($registrationAddress, $subject, $message, $header);
}

if($notWizard=="true"){
  print($serverScriptHelper->toHandlerHtml(
    		"/base/system/system.php", array(), "base-system"));
}else{
  print($serverScriptHelper->toHandlerHtml());
}

$serverScriptHelper->destructor();

?>
